%define QMAIL_DIR /var/qmail

Summary: "Greylisting" plugin for qmail-smtp
Name: greylisting-spp
Version: 0.2
Release: 1.art
License: P. Conrad <conrad@tivano.de>
Group: System/Mail
Source: greylisting-spp-%{version}.tar.gz
Patch1: no-test.patch
Requires: qmail
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildRequires: sqlite2-devel

%description
"Greylisting" is a technique to filter certain malware (SPAM and email worms)
at the SMTP level. See http://greylisting.org/ for a better description..
This package implements Greylisting for D. J. Bernstein's "qmail" MTA 
(http://qmail.org/ ). It requires qmail to be compiled with the 
smtp-plugin-patch (http://qmail-spp.sourceforge.net/ ), hence the name.

%prep
%setup
%patch1 -p0

%build
make DB_IMPL=sqlite

%install
mkdir -p $RPM_BUILD_ROOT%{QMAIL_DIR}/plugins
mkdir -p $RPM_BUILD_ROOT%{QMAIL_DIR}/greylisting
install -m 0755 ,,build/src/greylisting-spp $RPM_BUILD_ROOT%{QMAIL_DIR}/plugins

%post
echo Trying to insert plugin into %{QMAIL_DIR}/control/smtpplugins...
cd %{QMAIL_DIR}/control
if grep '^\[rcpt\]$' smtpplugins >/dev/null; then
    i=1
    while [ `head -$i smtpplugins | grep -c '^\[rcpt\]$'` -lt 1 ]; do
	i=$(($i + 1))
    done
    head -$i smtpplugins >smtpplugins.new
    echo "plugins/greylisting-spp" >>smtpplugins.new
    tail +$(($i + 1)) smtpplugins >>smtpplugins.new && \
      mv smtpplugins.new smtpplugins
else
    echo "[rcpt]" >>smtpplugins
    echo "plugins/greylisting-spp" >>smtpplugins
fi
echo "Don't forget to set the required environment variables"
echo "when invoking qmail-smtpd."
echo "And think about whitelisting some addresses, see %{_docdir}/%{name}."

%preun
echo Trying to remove greylisting-spp from %{QMAIL_DIR}/control/smtpplugins...
cd %{QMAIL_DIR}/control
grep -v '^plugins/greylisting-spp$' smtpplugins >smtpplugins.new && \
  mv smtpplugins.new smtpplugins

%clean
[ "$RPM_BUILD_ROOT" = "/" ] || rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,qmail)
%doc doc/* ,,build/doc/whitelist.tcpserver
%{QMAIL_DIR}/plugins/greylisting-spp
%dir %attr(0700,qmaild,qmail) %{QMAIL_DIR}/greylisting

%changelog
* Wed Sep 08 2004 - conrad@tivano.de
- Bumped version number
- Added database directory
* Tue Aug 24 2004 - conrad@tivano.de
- Created spec file

# Do not change the following line:
# arch-tag: 26dd308a-26de-416a-ab01-c813f67a42e6

